Bug 1282492 - (CVE-2015-8106) CVE-2015-8106 latex2rtf: Format string vulnerability in CmdKeywords
CVE-2015-8106 latex2rtf: Format string vulnerability in CmdKeywords
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20151116,repo...
: Security
Depends On: 1282493 1282494
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-16 10:21 EST by Adam Mariš
Modified: 2016-04-22 13:25 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2015-11-16 10:21:21 EST
A format string vulnerability was found in CmdKeywords function when processing \keywords command in tex file. When the user runs latex2rtf with malicious crafted tex file, an attacker can execute arbitrary code. The variable `keywords' in the function CmdKeywords may hold a malicious input string, which can be used as a format argument of vsnprintf.

Vulnerable code:

1789        char *keywords = getBraceParam();
...
1798    fprintRTF(keywords);
...

858    void fprintRTF(char *format, ...){
      ...
873    vsnprintf(buffer, 1024, format, apf);
      ...

Public disclosure (includes reproducer and suggested fix):

http://seclists.org/oss-sec/2015/q4/283
Comment 1 Adam Mariš 2015-11-16 10:21:53 EST
Created latex2rtf tracking bugs for this issue:

Affects: fedora-all [bug 1282493]
Affects: epel-all [bug 1282494]
Comment 2 Fedora Update System 2016-04-05 06:11:19 EDT
latex2rtf-2.3.10-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 3 Fedora Update System 2016-04-08 16:22:21 EDT
latex2rtf-2.3.10-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2016-04-09 10:23:19 EDT
latex2rtf-2.3.10-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2016-04-16 14:54:02 EDT
latex2rtf-2.3.10-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2016-04-22 13:25:47 EDT
latex2rtf-2.3.10-1.el6.1 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.